首页 > web > 帝国CMS

我的网站是帝国CMS7.5版本,之前使用的PHP版本为7.2,今天将PHP版本升级为7.4,登陆时出现一个错误提示:Deprecated: Function get_magic_quotes_gpc() is deprecated......,

按着提示的路径/e/class/connect.php找到了相关文件,错误的位置在第6行,代码如下:

define('MAGIC_QUOTES_GPC',function_exists('get_magic_quotes_gpc')&&get_magic_quotes_gpc());

将以上代码替换为:define('MAGIC_QUOTES_GPC',ini_set("magic_quotes_runtime",0)?TRUE:false);

再回到登陆页面刷新后,错误提示就没有了。

评论

用户名:
密码:
匿名发表
验证码:
共有条评论